Exception while loading planner TrajOpt

asked 2018-12-17 12:51:38 -0600

DieterWuytens gravatar image

updated 2018-12-18 06:37:22 -0600

gvdhoorn gravatar image

Hello, I'm trying to use the planner TrajOpt in my RViz robot scene. I installed the trajopt_ros package from github:

https://github.com/ros-industrial-con...

I also made a package, for my robot, for running the TrajOpt planner. The error i got while executing roslaunch robot_trajopt_config demo.launch is the following:

[ERROR] [1545071206.926927862]: Exception while loading planner 'trajopt_interface_ros::TrajoptPlanner': According to the loaded plugin descriptions the class trajopt_interface_ros::TrajoptPlanner with base class type planning_interface::PlannerManager does not exist. Declared types are  chomp_interface/CHOMPPlanner constrained_ik/CLIKPlanner ompl_interface/OMPLPlanner stomp_moveit/StompPlannerManager

Available plugins: chomp_interface/CHOMPPlanner, constrained_ik/CLIKPlanner, ompl_interface/OMPLPlanner, stomp_moveit/StompPlannerManager

--> after starting RViz it also says: MoveGroup running was unable to load trajopt_interface_ros::TrajoptPlanner

In the package of the robot there is a trajopt_planning_pipeline.launch.xml file where i call for the planner.

arg name="planning_plugin" value="trajopt_interface_ros::TrajoptPlanner"

What is causing the error? Somehow the planner is not defined in plugin descriptions? I also tried a catkin clean and build, but no changes.

Thanks, Dieter


Edit: I execute this:

rosdep install --from-paths src/ --ignore-src --rosdistro kinetic
ERROR: the following packages/stacks could not have their rosdep keys resolved
to system dependencies:
trajopt_examples: Cannot locate rosdep definition for [tesseract_ros]

I'm new, so sorry if i ask weird questions.

edit retag flag offensive close merge delete

Comments

What is causing the error?

For some reason the plugin loader cannot find the class that you're trying to instantiate.

How did you "install [..] trajopt_ros package from github" exactly?

gvdhoorn gravatar imagegvdhoorn ( 2018-12-17 13:54:03 -0600 )edit

I installed the package with: git clone -b kinetic-devel [link to github package] After that catkin build. Is that not the right way to do it?

DieterWuytens gravatar imageDieterWuytens ( 2018-12-17 14:13:15 -0600 )edit

Was the build successful? The pkgs in that repository have quite a few (build) dependencies, so I would be surprised if you actually already have all of those installed on your system.

Did you run rosdep?

gvdhoorn gravatar imagegvdhoorn ( 2018-12-17 15:07:52 -0600 )edit

Well first no, while building catkin workspace a lot of errors happened, but i saw that the following packages where required so i also downloaded them the same way. Packages: "ivcon", "pr2_common", "tesseract". After catkin build no errors left. I did not run rosdep! How should this be done? Thanks

DieterWuytens gravatar imageDieterWuytens ( 2018-12-17 15:13:17 -0600 )edit

See #q252478.

Please try to not install dependencies of your ROS packages by hand. It's a tedious and error prone process.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-17 15:18:26 -0600 )edit

I removed all packages previously installed, i started over. Shouldn't rosdep automatically install the required dependencies?

DieterWuytens gravatar imageDieterWuytens ( 2018-12-17 16:56:57 -0600 )edit

Shouldn't rosdep automatically install the required dependencies?

yes, if package authors have correctly specified their dependencies.

tesseract_ros is a package in the tesseract repository. You'll have to add that to your ..

gvdhoorn gravatar imagegvdhoorn ( 2018-12-18 06:39:43 -0600 )edit

.. workspace and build it all.

The binary/released dependencies should then be installed using rosdep.

As Tesseract is still under development, you may run into some additional problems. I would advise you to post those over at the Tesseract issue tracker.

gvdhoorn gravatar imagegvdhoorn ( 2018-12-18 06:42:03 -0600 )edit